apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: penpot
  namespace: stackspout
spec:
  releaseName: penpot
  chart:
    spec:
      chart: penpot
      version: 4.0.12
      sourceRef:
        kind: HelmRepository
        name: truecharts
        namespace: flux-system
  interval: 5m
  valuesFrom:
    - kind: ConfigMap
      name: stackspin-penpot-values
      optional: false
    # Allow overriding values by ConfigMap or Secret
    - kind: ConfigMap
      name: stackspin-penpot-override
      optional: true
    - kind: Secret
      name: stackspin-penpot-override
      optional: true
